export function $classOf(arg: any): any;
export function $isString(arg: any): arg is string;
export function $isNumber(arg: any): arg is number;
export function $isObject(arg: any): arg is Record<string, any>;
export const $isArray: (arg: any) => arg is any[];
export function $in(key: any, ref: any): boolean;
export function $eq(x: any, y: any): boolean;
export const $: {
    <T extends keyof HTMLElementTagNameMap>(config: $TAPI & {
        t: T;
    }): HTMLElementTagNameMap[T];
    <E extends HTMLElement>(config: $EAPI & {
        e: E;
    }): E;
};
export const $$: {
    <T extends keyof HTMLElementTagNameMap>(x: T, a?: $Attributes, p?: $Properties, ...i: $Item[]): HTMLElementTagNameMap[T];
    <E extends HTMLElement>(x: E, a?: $Attributes, p?: $Properties, ...i: $Item[]): E;
};
export function $css(style: $CSS, splitter?: string): string;
export function $highlight(pattern: RegExp, highlighters: ((chunk: string, index: number) => $Item)[], innerText: string): $Item[];
export function $locale(locales: Record<string, Record<string, string | Record<string, string>>>, defaultLanguage: string, languages?: readonly string[]): (text?: string | undefined, version?: string | undefined) => string;
export type $Attributes = Record<string, string | number | boolean>;
export type $Properties = Record<string, any>;
export type $Item = HTMLElement | Text | string | number | $TAPI | $EAPI;
export type $TAPI = {
    t: keyof HTMLElementTagNameMap;
    a?: $Attributes;
    p?: $Properties;
    i?: $Item[];
};
export type $EAPI = {
    e: HTMLElement;
    a?: $Attributes;
    p?: $Properties;
    i?: $Item[];
};
export type $CSSRules = {
    [attributeOrSelector: string]: string | number | $CSSRules;
};
export type $CSS = {
    [selector: string]: $CSSRules;
};
